org.codehaus.plexus.metadata

## Class MetadataGenerationRequest

- java.lang.Object
- - org.codehaus.plexus.metadata.MetadataGenerationRequest

    public class MetadataGenerationRequest
    extends java.lang.Object

### Field Summary

Fields
`java.io.File` `classesDirectory` Classes to examine for annotations which are used to generate component metadata.
`java.util.List<java.lang.String>` `classpath` Supporting classpath required by class-based annotation processing.
`java.io.File` `componentDescriptorDirectory` Directory where existing component descriptors live.
`java.util.List<java.io.File>` `componentDescriptors` Existing component descriptors that need to be merged.
`java.io.File` `intermediaryFile` Where existing component descriptors are merged.
`java.io.File` `outputFile` Output file for the final component descriptor.
`java.util.List<java.lang.String>` `sourceDirectories` Source to examine for Javadoc annotions which are used to generate component metadata.
`java.lang.String` `sourceEncoding` The character encoding of the source files, may be `null` or empty to use platform's default encoding.
`boolean` `useContextClassLoader` Flag to indicate using the context classloader for the supporting classpath required by annotation-based processing.

### Constructor Summary

Constructors
Constructor and Description
`MetadataGenerationRequest()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sourceDirectories

    public java.util.List<java.lang.String> sourceDirectories

Source to examine for Javadoc annotions which are used to generate component metadata.

#### sourceEncoding

    public java.lang.String sourceEncoding

The character encoding of the source files, may be `null` or empty to use platform's default encoding.

#### classesDirectory

    public java.io.File classesDirectory

Classes to examine for annotations which are used to generate component metadata.

#### classpath

    public java.util.List<java.lang.String> classpath

Supporting classpath required by class-based annotation processing.

#### useContextClassLoader

    public boolean useContextClassLoader

Flag to indicate using the context classloader for the supporting classpath required by annotation-based processing.

#### componentDescriptorDirectory

    public java.io.File componentDescriptorDirectory

Directory where existing component descriptors live.

#### componentDescriptors

    public java.util.List<java.io.File> componentDescriptors

Existing component descriptors that need to be merged.

#### intermediaryFile

    public java.io.File intermediaryFile

Where existing component descriptors are merged.

#### outputFile

    public java.io.File outputFile

Output file for the final component descriptor.

### Constructor Detail

#### MetadataGenerationRequest

    public MetadataGenerationRequest()